APIAnalytics

Count LLM models

Count of distinct models with usage in a time range.

GET
/analytics/llm-models-count

Count of distinct models with usage in a time range.

Authorization

ApiKeyAuth
headerAuthorizationBearer <token>

Bearer token authentication. Send an API key (a saai_api_-prefixed token) as Authorization: Bearer <token>.

Required permission

view_llm_analytics

Query Parameters

scope?string

own returns only the caller's own records, even when they may see the whole organization. all, the default, returns everything the caller may see. It never widens what the caller may see.

Value in"all""own"
start_time*string

Start of the time range to report on, inclusive.

Formatdate-time
end_time*string

End of the time range to report on, exclusive.

Formatdate-time
provider?array<>

Filter to specific LLM telemetry providers.

user_id?array<>

Filter to specific users by id.

user_group?array<string>

Filter to users in specific groups.

auth_mode?array<>

Response Body

The request has succeeded.

application/json
  1. response

Count of distinct models with usage in a time range.

count*integer

Number of distinct models with usage.

Formatint64
Example Request
curl -X GET 'https://your-org.aisecurity.services.us.connect.secureauth.com/api/v1/analytics/llm-models-count?start_time=2019-08-24T14%3A15%3A22Z&end_time=2019-08-24T14%3A15%3A22Z'
Example Response
{  "count": 0}